{
  "name": "@plateg/working-aids",
  "version": "9.0.3",
  "description": "Plattform Arbeitshilfenbibliothek",
  "license": "UNLICENSED",
  "main": "index.ts",
  "scripts": {
    "build": "npm run webpack:build",
    "coverage": "cross-env NODE_ENV=test nyc mocha",
    "e2e": "nightwatch",
    "reinstall": "npm run remove && npm install",
    "remove": "rm -rf node_modules package-lock.json",
    "serve": "npm run webpack:serve",
    "start": "npm run webpack:start",
    "test": "cross-env NODE_ENV=test mocha",
    "update": "ncu -t minor -u && npm install && ncu",
    "cucumber": "cross-env NIGHTWATCH_ENV=chrome cucumber-js tests/cucumber/features/**/*.feature --require cucumber.conf.js --require tests/cucumber/step-definitions --format @cucumber/pretty-formatter --format json:.reports/cucumber/report.json",
    "format": "prettier --check {src,tests}/** --ignore-unknown --no-error-on-unmatched-pattern",
    "lint": "eslint src --ext .html,.js,.json,.jsx,.ts,.tsx --no-error-on-unmatched-pattern",
    "webpack:build": "cross-env NODE_ENV=production webpack",
    "webpack:start": "npm run webpack:serve -- --open=chrome",
    "webpack:serve": "cross-env NODE_ENV=development webpack serve --devtool=source-map",
    "prepare:husky": "husky install",
    "commit-msg": "commitlint",
    "pre-commit": "lint-staged"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "{src,tests}/**/*.{html,js,json,jsx,ts,tsx,gql,graphql}": [
      "eslint"
    ],
    "{src,tests}/**": [
      "prettier --write"
    ]
  },
  "peerDependencies": {
    "@plateg/rest-api": "^9.0.4",
    "@plateg/theme": "^9.0.4",
    "antd": "5.20.6",
    "date-fns": "^2.30.0",
    "i18next": "^21.9.0",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-i18next": "^11.8.12",
    "react-router": "^5.3.3",
    "react-router-dom": "^5.3.3",
    "rxjs": "^7.8.1"
  },
  "devDependencies": {
    "@babel/plugin-proposal-nullish-coalescing-operator": "^7.18.6",
    "@babel/plugin-proposal-private-property-in-object": "^7.21.11",
    "@babel/preset-react": "^7.24.7",
    "@babel/preset-typescript": "^7.24.7",
    "@babel/register": "^7.24.6",
    "@leanup/cli-core-babel": "^1.3.54",
    "@leanup/stack": "^1.3.54",
    "@leanup/stack-react": "^1.3.54",
    "@leanup/stack-webpack": "^1.3.54",
    "@plateg/rest-api": "^9.0.4",
    "@plateg/theme": "^9.0.4",
    "@types/chai": "^4.3.19",
    "@types/chai-arrays": "^2.0.3",
    "@types/chai-string": "^1.4.5",
    "@types/file-saver": "^2.0.7",
    "@types/mocha": "^9.1.1",
    "@types/react": "^18.3.5",
    "@types/react-dom": "^18.3.0",
    "@types/react-router": "^5.1.20",
    "@types/react-router-dom": "^5.3.3",
    "antd": "5.20.6",
    "babel-plugin-istanbul": "^6.1.1",
    "babel-plugin-transform-import-ignore": "^1.1.0",
    "chai-arrays": "^2.2.0",
    "chai-string": "^1.5.0",
    "date-fns": "^2.30.0",
    "i18next": "^21.10.0",
    "prettier": "^3.3.3",
    "react": "^18.3.1",
    "react-dom": "^18.3.1",
    "react-i18next": "^11.18.6",
    "react-router": "^5.3.4",
    "react-router-dom": "^5.3.4",
    "rxjs": "^7.8.1",
    "tslib": "^2.7.0",
    "typescript": "^4.9.5"
  },
  "files": [
    "/src/",
    "/styles/",
    "/index.ts"
  ],
  "gitHead": "d77d4ffcfdbaddda7b135c14a94a809981d488a6",
  "dependencies": {
    "@plateg/working-aids": "file:"
  }
}
